# PDF --> Mp3 conversion project
# Author Dorian Miller, UNC Chapel Hill
# Date April 26, 2003


from HTMLParser import HTMLParser
from paperPart import paperPart

            
class MyHTMLParser(HTMLParser):

    def __init__(self):
        self.lparts = []
        self.currentPart = paperPart()
        #init of parent class (is this needed)
        self.reset()
    
    def handle_data(self, data):
        #print "**************data %s tag" % data
        self.currentPart.addBody(data)

    def handle_starttag(self, tag, attrs):
        #print ">>>>Encountered the beginning of a %s tag" % tag
        #self.currentPart.addTag(tag)
        if (tag == 'b'):
            self.lparts.append(self.currentPart)
            self.currentPart = paperPart()


    def handle_endtag(self, tag):
        #print "<<<<<Encountered the end of a %s tag" % tag
        x = "something"
        # Add final part to lparts
        if (tag == 'html'):
            print "</HTML>: Found end of paper"
            self.lparts.append(self.currentPart)
            self.currentPart = paperPart()
        